//
//  Input.h
//  BreakBlocks
//
//  Created by Dayle Flowers on 1/5/12.
//  Copyright (c) 2012 Zimmdot. All rights reserved.
//

#ifndef BreakBlocks_Input_h
#define BreakBlocks_Input_h

#define MAX_MICE 5

typedef struct
{
	int m_iIndex;
	unsigned char m_bInUse;
	float m_fPrevX;
	float m_fPrevY;
	unsigned int m_uiPressTime;
} MouseStatus;

extern MouseStatus g_mouseStatus[MAX_MICE];
extern unsigned int g_dwCurrentTime;

void MouseDown(int iIndex, float fX, float fY);
void MouseMove(int iIndex, float fX, float fY);
void MouseUp(int iIndex, float fX, float fY);
bool GameWantsTouch(float fX, float fY);

#endif
