//
//  iOSMain.h
//  BreakBlocks
//
//  Created by Dayle Flowers on 1/5/12.
//  Copyright (c) 2012 Zimmdot. All rights reserved.
//

#ifndef BreakBlocks_Main_h
#define BreakBlocks_Main_h

#include <OpenGLES/ES2/gl.h>
#include <OpenGLES/ES2/glext.h>
#include "Input.h"
#include "Matrix.h"

int PaperEngineMain(void *pViewController);
void MainViewChanged(float fWidth, float fHeight);
bool MainGameWantsTouch(float fX, float fY);
void MainTouchOrDrag(int bNewTouch, MouseStatus *pMouseStatus, int iIndex, float fX, float fY);
void MainSwipe(int Direction); // 0 = Left, 1 = Right, 2 = Up, 3 = Down
void MainUpdate();
void MainDestroy();

void MainInit(void* pViewController);
void MainDraw();

#endif
