#include "Paper.h"

int xSWFLoader::LoadFile(char* strFilePath)
{
	byte header[8];

	m_pFile = g_PaperAPI.m_pPlatform->GetFileIOInstance();

	if(m_iResult = m_pFile->OpenFile(strFilePath, true, true))
		assert(0);

	if(m_iResult = m_pFile->ReadData((void*)header, 8))
		assert(0);

	if(header[0] == 'C')
	{
		// TODO: Decompress the file before continuing
		return PE_RES_SWFCOMPRESSNOTSUPPORTED;
	}
	else if(header[0] != 'F')
		assert(0);

	m_byteVersion = header[3];
	m_uiFileSize = (unsigned int*)(header + 4);
	*m_uiFileSize -= 8;
	m_pFileBuffer = new byte[*m_uiFileSize];
	m_uiFileBufferOffset = 0;

	if(m_iResult = m_pFile->ReadData((void*)m_pFileBuffer, *m_uiFileSize))
		assert(0);

	RECT temp;
	GetRect(temp);
	SkipHalfPrecisionFloat();

	GetUnsignedInt16(m_uiFrameCount);

	unsigned int code, size;
	while(m_uiFileBufferOffset < *m_uiFileSize)
	{
		GetTagCodeAndSize(code, size);

		switch(code)
		{
			case PE_SWF_TAGCODE_DEFINESHAPE:
				DefineShape();
				break;
			case PE_SWF_TAGCODE_PLACEOBJECT2:
				break;
			case PE_SWF_TAGCODE_DEFINESHAPE4:
				break;

			// These cases are temporary to jump over the breakpoint in the default case(remove before release)
			case 69:
				break;
			case 9:
				break;
			case 1:
				break;
			case 0:
				break;
			default:
				code++;
				break;
		}

		m_uiFileBufferOffset += size;
	}

	m_pFile->CloseFile();
	delete m_pFile;

	return PE_RES_NOERROR;
}
