/////////////////////////////////////////////////////////////////
// Name: xGUITreeList.h
/////////////////////////////////////////////////////////////////
// Description:
// - This handles tree lists for the GUI.
/////////////////////////////////////////////////////////////////
// - 07.11.2004, Note, DayleFlowers (Xienen)
//   File created
/////////////////////////////////////////////////////////////////
#ifndef XGUITREELIST_H_
#define XGUITREELIST_H_

#include "xGUIObject.h"

class xGUITreeList : public xGUIObject
{
public:
	int  PreUpdate(DWORD dwTime);
	int  Update(double dTime);
	void Shutdown();

	void  AddChildByName(const char *strParent, const char *strNewString);
	void  AddChildByIndex(int iParent, const char *strNewString);
	void  AddItemAfterIndex(int iIndex, const char *strNewString);
	char* GetSelectedText();

	int	m_iSelected;
	int	m_iNumVisibleObjects;
};

#endif