/////////////////////////////////////////////////////////////////
// Name: xNetworkInfo.h
/////////////////////////////////////////////////////////////////
// Description:
// - A nearly useless base class for Network Client
/////////////////////////////////////////////////////////////////
// - 29.11.2004, Update, Arto Ruotsalainen (Arex)
//   File created and classes added.
//
// - 7.6.2004, Update, Arto Ruotsalainen(Arex)
//   Comment stuff added to begin of the file.
//   Add new updates/fixes above this, so the old updates
//   will be at the bottom.
/////////////////////////////////////////////////////////////////
#ifndef XNETWORKINFO_H_
#define XNETWORKINFO_H_

#define MAX_NETWORK_BUFFERSIZE	10240
#define MAX_NETWORK_PACKETSIZE	1024

#include "xResults.h"

enum xSocketStatus
{
	PE_SOCKET_UNUSED,
	PE_SOCKET_CONNECTING,
	PE_SOCKET_LISTENING,
	PE_SOCKET_CONNECTED
};

class xNetworkInfo
{
public:
	xNetworkInfo()
	{
		m_xStatus   = PE_SOCKET_UNUSED;
		m_strIP[0]	= '\0';
		m_bWritable	= false;
	}

	void SetInfo(char *strIP, int iPort) { strcpy(m_strIP, strIP); m_iPort = iPort; }
	void SetWritable(bool bValue) { m_bWritable = bValue; }
	bool IsWritable() { return m_bWritable; }

protected:
	char m_strIP[32];
	int  m_iPort;
	bool m_bWritable;
	
	xSocketStatus m_xStatus;
};

#endif