attribute vec4 position;
attribute vec4 inputTextureCoordinate;

uniform mat4 modelViewProjectionMatrix;

varying vec2 textureCoordinate;

void main()
{
	gl_Position = modelViewProjectionMatrix * position;
	textureCoordinate = inputTextureCoordinate.xy;
}
