varying highp vec2 textureCoordinate;

uniform sampler2D textureIndex;
uniform lowp vec4 secondColor;
uniform lowp vec4 colorDifference;

void main()
{
	lowp vec4 fragcolor = texture2D(textureIndex, textureCoordinate);
	
	lowp vec4 fragaverage = fragcolor * colorDifference;
	fragcolor = fragaverage + secondColor;
	
	highp float avgColor = (fragcolor.r + fragcolor.g + fragcolor.b) * 0.3333333;
	fragaverage.r = avgColor;
	fragaverage.g = avgColor;
	fragaverage.b = avgColor;
	
	fragaverage = fragaverage - fragcolor;
	fragaverage.a = 0.0;
	
	gl_FragColor = fragcolor + fragaverage;
}
