//
//  xViewController.h
//  BreakBlocks
//
//  Created by Dayle Flowers on 1/6/12.
//  Copyright (c) 2012 Greater Good Games. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface xViewController : UIViewController<UIGestureRecognizerDelegate>
{
@private
    EAGLContext *context;
    
    BOOL animating;
    CADisplayLink *displayLink;
}

@property (readonly, nonatomic, getter=isAnimating) BOOL animating;

- (void)startAnimation;
- (void)stopAnimation;

// UIGestureRecognizer Targets
- (void) didSwipeLeft:(UIGestureRecognizer*)recognizer;
- (void) didSwipeRight:(UIGestureRecognizer*)recognizer;
- (void) didSwipeUp:(UIGestureRecognizer*)recognizer;
- (void) didSwipeDown:(UIGestureRecognizer*)recognizer;
- (void) didDoubleTap:(UIGestureRecognizer*)recognizer;

@end
