#include "Paper.h"
#include "resource.h"

int xPlatform::Init()
{
	return PE_RES_NOERROR;
}

void* xPlatform::MakeWindow(int iWindowWidth, int iWindowHeight, int iBPP, bool bFullscreen)
{
	// We don't make a Window on iOS
	m_pWindow = (void*)1;
	
	if(bFullscreen)
	{
		m_rectWindow.left	= 0;							// set Rect to size of window that we want
		m_rectWindow.top	= 0;
		m_rectWindow.right	= iWindowWidth;
		m_rectWindow.bottom	= iWindowHeight;	
	}
	else
	{
		m_rectWindow.left	= 0;							// set Rect to size of window that we want
		m_rectWindow.top	= 30;
		m_rectWindow.right	= iWindowWidth;
		m_rectWindow.bottom	= m_rectWindow.top + iWindowHeight;	
	}
	
	// TODO: Mac: Do we need to create windows differently for windowed vs fullscreen?
//	if(bFullscreen)
//	{
//		m_hWnd = hwnd = CreateWindowEx(WS_EX_APPWINDOW, PE_CLASSNAME, PE_CLASSNAME, WS_VISIBLE | WS_POPUP,
//							  0, 0, iWindowWidth, iWindowHeight, NULL, NULL, hInstance, NULL);
//
//	}
//	else
	{
		//m_pWindow = NewCWindow(NULL, &m_rectWindow, "\p", false, plainDBox, (WindowPtr)-1L, false, 0);

		m_iBorderSize		= 0;
		m_iTitleBarHeight	= 0;
	}

	//ShowWindow(m_pWindow);

	return m_pWindow;
}

void xPlatform::GetDateAndTime(int &iDateYear, int &iDateMonth, int &iDateDay, int &iTimeHour, int &iTimeMinutes, int &iTimeSeconds)
{
	time_t longseconds;
	tm *timestruct;

	time(&longseconds);
	timestruct = gmtime(&longseconds);

	iDateYear	= timestruct->tm_year;
	iDateMonth	= timestruct->tm_mon;
	iDateDay	= timestruct->tm_mday;
	iTimeHour	= timestruct->tm_hour;
	iTimeMinutes= timestruct->tm_min;
	iTimeSeconds= timestruct->tm_sec;
}

char* xPlatform::GetClipboardContents(char *strOut, int iMaxLength)
{
//	PasteboardRef pasteboard;
	
	strOut[0] = '\0';

/*	ItemCount  itemCount;
	
	PasteboardCreate(kPasteboardClipboard, &pasteboard);
	PasteboardSynchronize(pasteboard);
	PasteboardGetItemCount(pasteboard, &itemCount);
	UInt32 itemIndex = 1; // should be 1 or the itemCount?
	
	PasteboardItemID    itemID;
	CFArrayRef          flavorTypeArray;
	CFIndex             flavorCount;
	
	if(PasteboardGetItemIdentifier(pasteboard, itemIndex, &itemID) == noErr)
	{
		if(PasteboardCopyItemFlavors(pasteboard, itemID, &flavorTypeArray) == noErr)
		{
			flavorCount = CFArrayGetCount(flavorTypeArray);
			
			for(CFIndex flavorIndex = 0; flavorIndex < flavorCount; flavorIndex++)
			{
				CFStringRef flavorType = (CFStringRef)CFArrayGetValueAtIndex(flavorTypeArray, flavorIndex);
				CFStringRef plaintext = CFSTR("com.apple.traditional-mac-plain-text");
				
				if(UTTypeConformsTo(flavorType, kUTTypeUTF8PlainText))
				{
					CFDataRef flavorData;
					PasteboardCopyItemFlavorData(pasteboard, itemID, flavorType, &flavorData);
					
					CFIndex flavorDataSize = CFDataGetLength(flavorData);
					CFStringRef flavorDataString = CFStringCreateWithCString(kCFAllocatorDefault, (char*)CFDataGetBytePtr(flavorData), kCFStringEncodingUTF8);
					CFStringGetCString(flavorDataString, strOut, iMaxLength, kCFStringEncodingASCII);
					//strcpy(strOut, CFStringGetMostCompatibleMacStringEncoding(flavorData));
					CFRelease(flavorData);
					break;
				}
			}
			
			CFRelease(flavorTypeArray);
		}
	}
	
	CFRelease(pasteboard);
*/	
	return strOut;
}

void xPlatform::Shutdown()
{
}
